## kdevelop 22.12.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Gear version, managed by release service script
set(RELEASE_SERVICE_VERSION_MAJOR "22")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "2")

set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

# generate patch level from release service version
set(_micro ${RELEASE_SERVICE_VERSION_MICRO})
if (_micro LESS "10")
    string(PREPEND _micro "0") # pad with 0
endif()
set(RELEASE_SERVICE_BASED_PATCHLEVEL "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${_micro}")

project(KDevelop VERSION "5.10.${RELEASE_SERVICE_BASED_PATCHLEVEL}")

# KDevelop SOVERSION
# E.g. for KDevelop 5.2.0 => SOVERSION 52 (we only promise ABI compatibility between patch version updates)
set(KDEVELOP_SOVERSION "${KDevelop_VERSION_MAJOR}${KDevelop_VERSION_MINOR}")

# On macOS KDevelop_VERSION_MINOR is modified below. But KDEV_ITEMREPOSITORY_VERSION should depend
# on the original minor version on all platforms. So we store the original version in a variable.
set(KDEVELOP_OWN_MINOR_VERSION "${KDevelop_VERSION_MINOR}")

if (APPLE)
    ###################################################################################
    # Kludge for bug #448152: ld: malformed 64-bit a.b.c.d.e version number: 5.7.211201
    # Apple's linker uses the project version (not the SOVERSION) to calculate an
    # unsigned int in such a way that places restrictions on the magnitude of each tier
    # of the version string.
    # See here: https://www.sicpers.info/2013/03/how-to-version-a-mach-o-library/
    ###################################################################################
    project(KDevelop VERSION "${KDevelop_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${_micro}")
endif()

# plugin version as used e.g. in plugin installation path
set(KDEV_PLUGIN_VERSION "${KDEVELOP_SOVERSION}")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED YES)
set(QT_MIN_VERSION "5.15.0")
set(KF5_DEP_VERSION "5.78.0")

# we need some parts of the ECM CMake helpers
find_package (ECM ${KF5_DEP_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${KDevelop_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE) # needs to be first, as set policies influence following macros
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(CheckFunctionExists)
include(KDevelopMacrosInternal)


find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Widgets Concurrent Quick QuickWidgets)
if(BUILD_TESTING)
  find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)
endif()

find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS
  Config
  Declarative
  DocTools
  IconThemes
  I18n
  ItemModels
  ItemViews
  JobWidgets
  KCMUtils
  KIO
  NewStuff
  NotifyConfig
  Parts
  Service
  TextEditor
  ThreadWeaver
  XmlGui
  WindowSystem
  Crash
  GuiAddons
  Archive
  Notifications
)

set(HAVE_KSYSGUARD FALSE)
find_package(KSysGuard CONFIG QUIET)
set_package_properties(KSysGuard PROPERTIES
    PURPOSE "Framework for process listing. Required for the 'Attach to Process' feature"
    TYPE RECOMMENDED
)
if(NOT KSysGuard_FOUND)
    # try old pre-Plasma 5.19 name
    find_package(KF5SysGuard CONFIG)
    set_package_properties(KF5SysGuard PROPERTIES
        PURPOSE "Framework for process listing (older name of KSysGuard). Required for the 'Attach to Process' feature"
        TYPE RECOMMENDED
    )
endif()
if(KSysGuard_FOUND OR KF5SysGuard_FOUND)
    set(HAVE_KSYSGUARD TRUE)
endif()

find_package(KDevelop-PG-Qt 1.90.90 CONFIG)
set_package_properties(KDevelop-PG-Qt PROPERTIES
    PURPOSE "KDevelop parser generator library. Required for the QMake Builder/Manager plugin."
    TYPE RECOMMENDED
)

find_package(SharedMimeInfo 1.9 REQUIRED)

add_definitions(
    -DQT_DEPRECATED_WARNINGS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050900
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_STRICT_ITERATORS
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x053200
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
    -DQT_NO_FOREACH
)

# Turn off missing-field-initializers warning for GCC to avoid noise from false positives with empty {}
# See discussion: https://mail.kde.org/pipermail/kdevelop-devel/2014-February/046910.html
add_compile_flag_if_supported(-Wno-missing-field-initializers)
add_compile_flag_if_supported(-Werror=switch)
add_compile_flag_if_supported(-Werror=undefined-bool-conversion)
add_compile_flag_if_supported(-Werror=tautological-undefined-compare)
add_compile_flag_if_supported(-Werror=implicit-fallthrough)    # Use [[fallthrough]] for false positives.
if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_flag_if_supported(-Wdocumentation)
    add_compile_flag_if_supported(-Wcovered-switch-default)
    add_compile_flag_if_supported(-Wunreachable-code-break)
    # This warning is triggered by every call to qCDebug()
    add_compile_flag_if_supported(-Wno-gnu-zero-variadic-macro-arguments)
endif()
if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_flag_if_supported(-pedantic)
    add_compile_flag_if_supported(-Wzero-as-null-pointer-constant CXX_ONLY)
endif()
if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    add_compile_flag_if_supported(-Wsuggest-override CXX_ONLY)
endif()

string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
if(CMAKE_BUILD_TYPE_TOLOWER MATCHES "debug"
  OR CMAKE_BUILD_TYPE_TOLOWER STREQUAL "")
  set(COMPILER_OPTIMIZATIONS_ENABLED OFF)
else()
  set(COMPILER_OPTIMIZATIONS_ENABLED ON)
endif()

option(BUILD_BENCHMARKS "Whether benchmarks should be compiled or not" ${COMPILER_OPTIMIZATIONS_ENABLED})

# create config-kdevelop.h
configure_file(config-kdevelop.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdevelop.h)
include_directories(${KDevelop_BINARY_DIR}) # for config-kdevelop.h

add_subdirectory(3rdparty/timsort)

add_subdirectory(kdevplatform)
add_subdirectory(plugins)

add_subdirectory(pics)
add_subdirectory(app)
add_subdirectory(app_templates)
add_subdirectory(file_templates)
add_subdirectory(shortcuts)
add_subdirectory(doc)
add_subdirectory(share)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KDevelop")
configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KDevelopConfig.cmake.in"
                                  "${CMAKE_CURRENT_BINARY_DIR}/KDevelopConfig.cmake"
                                  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)
ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KDEVELOP
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdevelop_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDevelopConfigVersion.cmake"
)
install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/kdevelop_version.h"
        DESTINATION "${KDE_INSTALL_INCLUDEDIR}/kdevelop")
install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KDevelopConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KDevelopConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}" )
install(EXPORT KDevelopTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" NAMESPACE KDev:: FILE KDevelopTargets.cmake)

# kdebugsettings file
install_qt_logging_categories(TYPE APP_PLUGIN)

install(FILES org.kde.kdevelop.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# Make it possible to use the po files fetched by the fetch-translations step
ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== share/CMakeLists.txt ===
add_subdirectory(bash-completions)

=== kdevplatform/serialization/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kdevplatform\")

set(KDevPlatformSerialization_LIB_SRCS
    abstractitemrepository.cpp
    indexedstring.cpp
    itemrepositoryregistry.cpp
    referencecounting.cpp
)

declare_qt_logging_category(KDevPlatformSerialization_LIB_SRCS
    TYPE LIBRARY
    CATEGORY_BASENAME "serialization"
)

kdevplatform_add_library(KDevPlatformSerialization SOURCES ${KDevPlatformSerialization_LIB_SRCS})
target_link_libraries(KDevPlatformSerialization
PUBLIC
    KF5::WidgetsAddons
    KF5::I18n
PRIVATE
    KDev::Util
)

install(FILES
    abstractitemrepository.h
    referencecounting.h
    indexedstring.h
    itemrepositoryexampleitem.h
    itemrepository.h
    itemrepositoryregistry.h
    itemrepositoryreferencecounting.h
    repositorymanager.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kdevplatform/serialization COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== kdevplatform/tests/CMakeLists.txt ===
set(kdevtests_LIB_SRCS
    autotestshell.cpp
    kdevsignalspy.cpp
    projectsgenerator.cpp
    testcore.cpp
    testproject.cpp
    testfile.cpp
    testlanguagecontroller.cpp
    testhelpers.cpp
    testplugincontroller.cpp
    testdebugsession.cpp
    testvariablecontroller.cpp
    testbreakpointcontroller.cpp
    testframestackmodel.cpp

    json/delayedoutput.cpp
    json/declarationvalidator.cpp
    json/testsuite.cpp
)

kdevplatform_add_library(KDevPlatformTests SOURCES ${kdevtests_LIB_SRCS})
target_link_libraries(KDevPlatformTests
PUBLIC
    KDev::Shell
    KDev::Language
    KDev::Project
    KDev::Debugger
PRIVATE
    Qt5::Test
)

install(FILES
    autotestshell.h
    kdevsignalspy.h
    projectsgenerator.h
    testcore.h
    testproject.h
    testfile.h
    testlanguagecontroller.h
    testhelpers.h
    testplugincontroller.h
    testdebugsession.h
    testvariablecontroller.h
    testbreakpointcontroller.h
    testframestackmodel.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kdevplatform/tests/
    COMPONENT Devel
)

install(FILES
    json/declarationvalidator.h
    json/delayedoutput.h
    json/jsontesthelpers.h
    json/testsuite.h
    json/testsuite.cpp
    json/jsondeclarationtests.h
    json/jsonducontexttests.h
    json/jsontypetests.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kdevplatform/tests/json
    COMPONENT Devel
)

=== plugins/classbrowser/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kdevclassbrowser\")
include_directories(
    ${Boost_INCLUDE_DIRS}
)

# workaround a boost bug in 1.37 and 1.38 that causes link failure when exceptions are disabled
# see https://svn.boost.org/trac/boost/ticket/2947 for details
if( ${Boost_MAJOR_VERSION}.${Boost_MINOR_VERSION}.${Boost_PATCH_VERSION} VERSION_GREATER 1.36.1 )
    kde_enable_exceptions()
endif()

set(kdevclassbrowser_PART_SRCS
    classbrowserplugin.cpp
    classwidget.cpp
    classtree.cpp
)
declare_qt_logging_category(kdevclassbrowser_PART_SRCS
    TYPE PLUGIN
    IDENTIFIER PLUGIN_CLASSBROWSER
    CATEGORY_BASENAME "classbrowser"
)
qt5_add_resources(kdevclassbrowser_PART_SRCS kdevclassbrowser.qrc)
kdevplatform_add_plugin(kdevclassbrowser SOURCES ${kdevclassbrowser_PART_SRCS})
target_link_libraries(kdevclassbrowser KF5::TextEditor KDev::Util KDev::Language KDev::Interfaces)

=== plugins/craft/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kdevcraft\")

declare_qt_logging_category(craftplugin_LOG_SRCS
    TYPE PLUGIN
    HEADER debug_craft.h
    IDENTIFIER CRAFT
    CATEGORY_BASENAME "craft"
)

#qt5_add_resources(craftplugin_SRCS kdevcraftplugin.qrc)
kdevplatform_add_plugin(kdevcraft SOURCES craftplugin.cpp craftruntime.cpp ${craftplugin_LOG_SRCS})
target_link_libraries(kdevcraft
    KF5::CoreAddons
    KDev::Interfaces
    KDev::Util
    KDev::OutputView
    KDev::Project
)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== plugins/externalscript/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kdevexternalscript\")
########### next target ###############

set(kdevexternalscript_PART_SRCS
    externalscriptplugin.cpp
    externalscriptview.cpp
    externalscriptitem.cpp
    externalscriptjob.cpp
    editexternalscript.cpp
)

declare_qt_logging_category(kdevexternalscript_PART_SRCS
    TYPE PLUGIN
    IDENTIFIER PLUGIN_EXTERNALSCRIPT
    CATEGORY_BASENAME "externalscript"
)

set(kdevexternalscript_PART_UI
    externalscriptview.ui
    editexternalscript.ui
)

ki18n_wrap_ui(kdevexternalscript_PART_SRCS ${kdevexternalscript_PART_UI})

qt5_add_resources(kdevexternalscript_PART_SRCS kdevexternalscript.qrc)
kdevplatform_add_plugin(kdevexternalscript SOURCES ${kdevexternalscript_PART_SRCS})

target_link_libraries(kdevexternalscript
    KDev::Language
    KDev::Interfaces
    KDev::Project
    KDev::Sublime
    KDev::Util
    KDev::OutputView
    KF5::TextEditor
    KF5::KIOWidgets
    KF5::Parts
    KF5::NewStuff
)

=== plugins/filetemplates/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kdevfiletemplates\")
set(kdevfiletemplates_PART_SRCS
    templatepreview.cpp
    templatepreviewtoolview.cpp
    filetemplatesplugin.cpp

    ipagefocus.cpp
    classidentifierpage.cpp
    classmemberspage.cpp
    defaultcreateclasshelper.cpp
    licensepage.cpp
    outputpage.cpp
    overridespage.cpp
    templateclassassistant.cpp
    templateoptionspage.cpp
    templateselectionpage.cpp
    testcasespage.cpp
)

declare_qt_logging_category(kdevfiletemplates_PART_SRCS
    TYPE PLUGIN
    IDENTIFIER PLUGIN_FILETEMPLATES
    CATEGORY_BASENAME "filetemplates"
)

ki18n_wrap_ui(kdevfiletemplates_PART_SRCS
    templatepreviewtoolview.ui
    ui/licensechooser.ui
    ui/newclass.ui
    ui/outputlocation.ui
    ui/overridevirtuals.ui
    ui/templateselection.ui
    ui/testcases.ui
)

install(FILES kdevfiletemplates.knsrc  DESTINATION ${KDE_INSTALL_KNSRCDIR})
qt5_add_resources(kdevfiletemplates_PART_SRCS kdevfiletemplates.qrc)

kdevplatform_add_plugin(kdevfiletemplates SOURCES ${kdevfiletemplates_PART_SRCS})

target_link_libraries(kdevfiletemplates
    KDev::Interfaces
    KDev::Language
    KDev::Project
    KDev::Util
    KF5::NewStuff
    KF5::TextEditor
)

########### install files ###############

install(FILES
licenses/GPL\ v2
licenses/GPL\ v3
licenses/LGPL\ v2
licenses/LGPL\ v3
licenses/Apache\ v2
licenses/BSD
licenses/Boost
licenses/MIT\ X11
licenses/Mozilla\ v1.1
"licenses/LGPL v2+ (KDE)"
"licenses/GPL v2+ (KDE)"
DESTINATION ${KDE_INSTALL_DATADIR}/kdevcodegen/licenses
)


################

set(test_srcs
main.cpp
    templatepreview.cpp

    ipagefocus.cpp
    classidentifierpage.cpp
    classmemberspage.cpp
    defaultcreateclasshelper.cpp
    licensepage.cpp
    outputpage.cpp
    overridespage.cpp
    templateclassassistant.cpp
    templateoptionspage.cpp
    templateselectionpage.cpp
    testcasespage.cpp
    debug.cpp
)

if(BUILD_TESTING)
    add_executable(testfiletemplates ${test_srcs})
    add_dependencies(testfiletemplates kdevfiletemplates)
    target_link_libraries(testfiletemplates
        KDev::Interfaces
        KDev::Language
        KDev::Project
        KDev::Util
        KDev::Tests
        KF5::NewStuff
    )

    add_subdirectory(tests)
endif()

=== plugins/makebuilder/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kdevmakebuilder\")

########### next target ###############

set(kdevmakebuilder_SRCS
    makebuilder.cpp
    makejob.cpp
    makebuilderpreferences.cpp
)
declare_qt_logging_category(kdevmakebuilder_SRCS
    TYPE PLUGIN
    IDENTIFIER KDEV_MAKEBUILDER
    CATEGORY_BASENAME "makebuilder"
)
ki18n_wrap_ui(kdevmakebuilder_SRCS makeconfig.ui)
kconfig_add_kcfg_files( kdevmakebuilder_SRCS makebuilderconfig.kcfgc )

#add_library(kdevmakebuilder MODULE ${kdevmakebuilder_SRCS})
qt5_add_resources(kdevmakebuilder_SRCS kdevmakebuilder.qrc)
kdevplatform_add_plugin(kdevmakebuilder SOURCES ${kdevmakebuilder_SRCS})
target_link_libraries(kdevmakebuilder
        KF5::TextEditor
        KDev::Interfaces
        KDev::Project
        KDev::OutputView
        KDev::Shell
        KDev::Util
        KDev::Shell
)

install(FILES imakebuilder.h DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kdevelop/makebuilder COMPONENT Devel)

add_library(KDevIMakeBuilder INTERFACE)
add_library(KDev::IMakeBuilder ALIAS KDevIMakeBuilder)
target_include_directories(KDevIMakeBuilder INTERFACE
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/kdevelop>"
)
set_target_properties(KDevIMakeBuilder PROPERTIES
    EXPORT_NAME IMakeBuilder
)
install(TARGETS KDevIMakeBuilder EXPORT KDevelopTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/meson/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kdevmesonmanager\")

find_package(Meson 0.51 QUIET)
set_package_properties(Meson PROPERTIES
    DESCRIPTION "The Meson build system"
    URL "https://mesonbuild.com"
    PURPOSE "Recommended: required by the Meson project manager plugin"
    TYPE RUNTIME
)

set(mesonbuilder_SRCS
    mesonbuilder.cpp
    mesonconfig.cpp
    mesonjob.cpp
    mesonjobprune.cpp
    mesonmanager.cpp

    mintro/mesonintrospectjob.cpp
    mintro/mesonoptions.cpp
    mintro/mesonprojectinfo.cpp
    mintro/mesontargets.cpp
    mintro/mesontests.cpp

    rewriter/mesonactionbase.cpp
    rewriter/mesondefaultopts.cpp
    rewriter/mesonkwargsinfo.cpp
    rewriter/mesonkwargsmodify.cpp
    rewriter/mesonrewriterjob.cpp

    settings/mesonadvancedsettings.cpp
    settings/mesonconfigpage.cpp
    settings/mesonlisteditor.cpp
    settings/mesonnewbuilddir.cpp
    settings/mesonoptionbaseview.cpp
    settings/mesonoptionsview.cpp
    settings/mesonrewriterinput.cpp
    settings/mesonrewriterpage.cpp
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

ki18n_wrap_ui(mesonbuilder_SRCS
              settings/mesonadvancedsettings.ui
              settings/mesonconfigpage.ui
              settings/mesonlisteditor.ui
              settings/mesonnewbuilddir.ui
              settings/mesonoptionbaseview.ui
              settings/mesonoptionsview.ui
              settings/mesonrewriterinput.ui
              settings/mesonrewriteroptioncontainer.ui
              settings/mesonrewriterpage.ui
)
ecm_qt_declare_logging_category(mesonbuilder_SRCS
    HEADER debug.h
    IDENTIFIER KDEV_Meson
    CATEGORY_NAME "kdevelop.plugins.meson"
)

kdevplatform_add_plugin(kdevmesonmanager
                        SOURCES ${mesonbuilder_SRCS})

target_link_libraries(kdevmesonmanager
    Qt5::Concurrent
    KDev::Interfaces
    KDev::Language
    KDev::Project
    KDev::Util
    KDev::OutputView
)

=== plugins/outlineview/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kdevoutlineview\")

set(kdevoutlineview_SRCS
    outlineviewplugin.cpp
    outlinenode.cpp
    outlinemodel.cpp
    outlinewidget.cpp
)

declare_qt_logging_category(kdevoutlineview_SRCS
    TYPE PLUGIN
    IDENTIFIER PLUGIN_OUTLINE
    CATEGORY_BASENAME "outline"
)
kdevplatform_add_plugin(kdevoutlineview SOURCES ${kdevoutlineview_SRCS})
target_link_libraries(kdevoutlineview
    KDev::Interfaces
    KDev::Language
    KF5::CoreAddons
    KF5::I18n
    KF5::ItemModels
    KF5::TextEditor
)

=== plugins/patchreview/CMakeLists.txt ===
find_package(LibKompareDiff2 5.1 CONFIG)
set_package_properties(LibKompareDiff2 PROPERTIES
    PURPOSE "Required for building the patch review plugin."
    TYPE REQUIRED
)

find_package(KF5Purpose CONFIG QUIET)
set_package_properties(KF5Purpose PROPERTIES DESCRIPTION "Support for patch sharing"
                       TYPE OPTIONAL
                      )
if (NOT KF5Purpose_FOUND)
    find_package(KDEExperimentalPurpose QUIET)
    set_package_properties(KDEExperimentalPurpose PROPERTIES DESCRIPTION "EXPERIMENTAL. Support for patch sharing"
                        URL "https://projects.kde.org/projects/playground/libs/purpose"
                        TYPE OPTIONAL
                        )
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"kdevpatchreview\")
kde_enable_exceptions()

set(patchreview_PART_SRCS
    patchreview.cpp
    patchhighlighter.cpp
    patchreviewtoolview.cpp
    localpatchsource.cpp
)

declare_qt_logging_category(patchreview_PART_SRCS
    TYPE PLUGIN
    IDENTIFIER PLUGIN_PATCHREVIEW
    CATEGORY_BASENAME "patchreview"
)
ki18n_wrap_ui(patchreview_PART_SRCS patchreview.ui localpatchwidget.ui)

qt5_add_resources(patchreview_PART_SRCS kdevpatchreview.qrc)
kdevplatform_add_plugin(kdevpatchreview SOURCES ${patchreview_PART_SRCS})
target_link_libraries(kdevpatchreview
    KDev::Project
    KDev::Interfaces
    KDev::Util
    KDev::Language
    KDev::Vcs
    KDev::Sublime
    ${LIBKOMPAREDIFF2_LIBRARIES} # from cmake config file, has matching target name, which changed for 5.1
    KF5::IconThemes
    KF5::TextEditor
    KF5::Parts
)
if (KF5Purpose_FOUND)
    target_compile_definitions(kdevpatchreview PRIVATE WITH_PURPOSE)
    target_link_libraries(kdevpatchreview KF5::PurposeWidgets)
elseif (KDEExperimentalPurpose_FOUND)
    target_compile_definitions(kdevpatchreview PRIVATE WITH_PURPOSE)
    target_link_libraries(kdevpatchreview KDEExperimental::PurposeWidgets)
endif()

=== debian/changelog ===
kdevelop (4:22.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 12:51:36 +0100

=== debian/control ===
Source: kdevelop
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: bash-completion,
               clang (>= 1:6.0) [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.78.0~),
               gettext,
               kdevelop-pg-qt (>= 2.2.0),
               libboost-serialization-dev,
               libastyle-dev (>= 3.1),
               libclang-dev (>= 1:6.0) [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
               libgrantlee5-dev,
               libkf5archive-dev (>= 5.78.0~),
               libkf5config-dev (>= 5.78.0~),
               libkf5crash-dev (>= 5.78.0~),
               libkf5declarative-dev (>= 5.78.0~),
               libkf5doctools-dev (>= 5.78.0~),
               libkf5guiaddons-dev (>= 5.78.0~),
               libkf5i18n-dev (>= 5.78.0~),
               libkf5iconthemes-dev (>= 5.78.0~),
               libkf5itemmodels-dev (>= 5.78.0~),
               libkf5itemviews-dev (>= 5.78.0~),
               libkf5jobwidgets-dev (>= 5.78.0~),
               libkf5kcmutils-dev (>= 5.78.0~),
               libkf5kio-dev (>= 5.78.0~),
               libkf5newstuff-dev (>= 5.78.0~),
               libkf5notifications-dev (>= 5.78.0~),
               libkf5notifyconfig-dev (>= 5.78.0~),
               libkf5parts-dev (>= 5.78.0~),
               libkf5plasma-dev [linux-any],
               libkf5purpose-dev (>= 5.44.0),
               libkf5runner-dev (>= 5.72.0~) [linux-any],
               libkf5service-dev (>= 5.78.0~),
               libkf5sonnet-dev (>= 5.78.0~),
               libkf5sysguard-dev,
               libkf5texteditor-dev (>= 5.78.0~),
               libkf5threadweaver-dev (>= 5.78.0~),
               libkf5widgetsaddons-dev (>= 5.78.0~),
               libkf5windowsystem-dev (>= 5.78.0~),
               libkf5xmlgui-dev (>= 5.78.0~),
               libkomparediff2-dev,
               libqt5webkit5-dev (>= 5.15.0),
               libsvn-dev,
               llvm-dev (>= 1:6.0) [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
               okteta-dev (>= 5:0.26.2~),
               pkg-config,
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qttools5-dev,
               qttools5-dev-tools,
               shared-mime-info (>= 1.9~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.kdevelop.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdevelop
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdevelop.git

Package: kdevelop510-libs
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: shared libraries for the KDevelop platform
 This package contains shared libraries needed to run integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevelop
Architecture: any
Depends: kdevelop-data (>= ${source:Version}),
         kdevelop510-libs (= ${binary:Version}),
         kinit,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick-xmllistmodel,
         qml-module-qtquick2,
         qml-module-qtwebkit,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ${kdevelop:clang}, g++, gcc, gdb (>= 7.0), kapptemplate, kio-extras, make
Suggests: clang,
          clang-tidy,
          clazy,
          cmake,
          cppcheck,
          git,
          heaptrack [linux-any],
          kdevelop-l10n,
          konsole,
          meson,
          ninja-build
Breaks: kdevplatform10-libs (<< 5.2)
Replaces: kdevplatform10-libs (<< 5.2)
Description: integrated development environment for C/C++ and other languages
 KDevelop is a Free and Open Source integrated development
 environment (IDE). It provides editing, navigation and debugging features for
 several programming languages, as well as integration with multiple build
 systems and version-control systems, using a plugin-based architecture.
 .
 KDevelop has parser backends for C, C++ and Javascript/QML, with further
 external plugins supporting e.g. PHP or Python.

Package: kdevelop-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kdevplatform10-libs (<< 5.2)
Replaces: kdevplatform10-libs (<< 5.2)
Description: data files for the KDevelop IDE
 KDevelop is a Free and Open Source integrated development
 environment (IDE). It provides editing, navigation and debugging features for
 several programming languages, as well as integration with multiple build
 systems and version-control systems, using a plugin-based architecture.
 .
 This package contains arch independent data for KDevelop.

Package: kdevelop-dev
Section: libdevel
Architecture: any
Depends: kdevelop510-libs (= ${binary:Version}),
         libgrantlee5-dev,
         libkf5archive-dev (>= 5.78.0~),
         libkf5config-dev (>= 5.78.0~),
         libkf5guiaddons-dev (>= 5.78.0~),
         libkf5i18n-dev (>= 5.78.0~),
         libkf5iconthemes-dev (>= 5.78.0~),
         libkf5itemmodels-dev (>= 5.78.0~),
         libkf5itemviews-dev (>= 5.78.0~),
         libkf5jobwidgets-dev (>= 5.78.0~),
         libkf5kcmutils-dev (>= 5.78.0~),
         libkf5kio-dev (>= 5.78.0~),
         libkf5newstuff-dev (>= 5.78.0~),
         libkf5notifications-dev (>= 5.78.0~),
         libkf5notifyconfig-dev (>= 5.78.0~),
         libkf5parts-dev (>= 5.78.0~),
         libkf5service-dev (>= 5.78.0~),
         libkf5texteditor-dev (>= 5.78.0~),
         libkf5threadweaver-dev (>= 5.78.0~),
         libkf5windowsystem-dev (>= 5.78.0~),
         qtbase5-dev (>= 5.15.0~),
         qtdeclarative5-dev (>= 5.15.0~),
         ${misc:Depends}
Description: development files for the KDevelop IDE
 KDevelop is a Free and Open Source integrated development
 environment (IDE). It provides editing, navigation and debugging features for
 several programming languages, as well as integration with multiple build
 systems and version-control systems, using a plugin-based architecture.
 .
 This package contains development files for KDevelop.

Package: kdevelop-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Description: localization files for the KDevelop IDE
 KDevelop is a Free and Open Source integrated development
 environment (IDE). It provides editing, navigation and debugging features for
 several programming languages, as well as integration with multiple build
 systems and version-control systems, using a plugin-based architecture.
 .
 This package contains the translations for KDevelop.

Package: plasma-kdevelop
Architecture: linux-any
Depends: kdevelop (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: KDevelop plugins for Plasma
 KDevelop is a Free and Open Source integrated development
 environment (IDE). It provides editing, navigation and debugging features for
 several programming languages, as well as integration with multiple build
 systems and version-control systems, using a plugin-based architecture.
 .
 This package contains the KDevelop plugins for integrating in the Plasma
 desktop environment:
  * sessions data engine
  * sessions widget
  * sessions KRunner module

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

# from the top-level CMakeLists.txt
export KDEV_PLUGIN_VERSION=510

# The list of architectures (expanded, without wildcards) that do not use clang
no_clang_args = alpha hppa ia64 kfreebsd-amd64 kfreebsd-i386 m68k sh4 x32
ifeq (,$(filter $(DEB_HOST_ARCH), $(no_clang_args)))
# The clang-N used for the build by the unversioned clang
current_clang_pkg = $(shell dpkg -S "$(shell realpath $(shell env PATH=$$(echo "$$PATH" | sed -r -e 's|/usr/lib/ccache/?:||') which clang))" | cut -d: -f1)
# The upstream version of a package passed as parameter
upstream_version_of_pkg = $(shell dpkg-query -f '$${Version}' -W $(1) | sed -e 's/-[^-]*$$//')
# The clang dependency string
clang_dependency = $(current_clang_pkg) (>= $(call upstream_version_of_pkg,$(current_clang_pkg))~)
else
clang_dependency =
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

execute_after_dh_auto_install:
	# create this directory if not existing, so kdevelop-data.install
	# is the same, no matter whether clang is built
	mkdir -p debian/tmp/usr/share/kdevclangsupport/
	# not useful source documentation
	rm debian/tmp/usr/share/kdevqmljssupport/propertywidgets/README

override_dh_gencontrol:
	dh_gencontrol -- -V'kdevelop:clang=$(clang_dependency)'

.PHONY: override_dh_auto_test

## kdevelop 22.12.3

=== debian/changelog ===
kdevelop (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:37:29 +0000

kdevelop (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:15:54 -0600

kdevelop (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:14:19 +0000

kdevelop (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Dec 2022 14:24:50 +0000

kdevelop (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:08:36 +0000

kdevelop (4:22.11.90-0ubuntu2) lunar; urgency=medium

  * Fix dep on kdevelop510-libs.

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Nov 2022 08:03:30 +0000

kdevelop (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:04:55 +0000

kdevelop (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update build-deps and deps with the info from cmake.
  * Rename packages according to the SONAME bumps:
    - kdevelop59-libs -> kdevelop510-libs
  * Bump KDEV_PLUGIN_VERSION to 510, according to upstream.
  * Install new plugin.

 -- Rik Mills <rikmills@kde.org>  Sun, 13 Nov 2022 14:21:11 +0000

kdevelop (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:08:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kdevelop
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: bash-completion,
                clang (>= 1:6.0) [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
@@ -12,8 +13,8 @@
                extra-cmake-modules (>= 5.78.0~),
                gettext,
                kdevelop-pg-qt (>= 2.2.0),
+               libastyle-dev (>= 3.1),
                libboost-serialization-dev,
-               libastyle-dev (>= 3.1),
                libclang-dev (>= 1:6.0) [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
                libgrantlee5-dev,
                libkf5archive-dev (>= 5.78.0~),
@@ -44,7 +45,7 @@
                libkf5widgetsaddons-dev (>= 5.78.0~),
                libkf5windowsystem-dev (>= 5.78.0~),
                libkf5xmlgui-dev (>= 5.78.0~),
-               libkomparediff2-dev,
+               libkomparediff2-dev (>= 4:22.12.3~),
                libqt5webkit5-dev (>= 5.15.0),
                libsvn-dev,
                llvm-dev (>= 1:6.0) [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
@@ -58,8 +59,8 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdevelop
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdevelop.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop
 
 Package: kdevelop510-libs
 Section: libs
@@ -145,7 +146,7 @@
          libkf5windowsystem-dev (>= 5.78.0~),
          qtbase5-dev (>= 5.15.0~),
          qtdeclarative5-dev (>= 5.15.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: development files for the KDevelop IDE
  KDevelop is a Free and Open Source integrated development
  environment (IDE). It provides editing, navigation and debugging features for

## kdevelop 23.08.0

=== debian/changelog ===
kdevelop (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:53:31 +0100

kdevelop (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * Rename packages according to the SONAME bumps:
    - kdevelop511-libs -> kdevelop512-libs
  * Update install files.
  * Bump KDEV_PLUGIN_VERSION to 512, according to upstream.
  * Update lintian overrides.
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:33:21 +0100

kdevelop (4:23.04.3-0ubuntu2) mantic; urgency=medium

  * Sync changes from debian unstable.

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Aug 2023 05:40:35 +0100

kdevelop (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:46:07 +0100

kdevelop (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Refreshed patch optional-clang.diff
  * New libraries kdevelop510-libs -> kdevelop511-libs:
    - adjust KDEV_PLUGIN_VERSION=511 on debian/rules
    - rename package
    - update installed files
    - update lintian overrides
  * New upstream release (23.04.2)
  * Add zlib1g-dev to Build-Depends

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:56:27 +0100

kdevelop (4:22.12.2-2) unstable; urgency=medium

  * Get the right grantlee dependency for the shipped plugin:
    - add the dh-sequence-grantlee build dependency
    - use the ${grantlee:Depends} substvar
  * Remove 2 obsolete maintscript entries in 1 files.
  * Drop the support for the dead GNU/kFreeBSD:
    - drop the kfreebsd-any qualifiers from the clang, libclang-dev, and
      llvm-dev build dependencies
    - drop the kfreebsd-any qualifiers in install files
    - stop mentioning kfreebsd architectures in the no_clang_args rules variable

 -- Pino Toscano <pino@debian.org>  Sat, 05 Aug 2023 20:34:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: bash-completion,
-               clang (>= 1:6.0) [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
+               clang (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !x32],
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-exec,
+               dh-sequence-grantlee,
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.78.0~),
                gettext,
                kdevelop-pg-qt (>= 2.2.0),
                libastyle-dev (>= 3.1),
                libboost-serialization-dev,
-               libclang-dev (>= 1:6.0) [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
+               libclang-dev (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !x32],
                libgrantlee5-dev,
                libkf5archive-dev (>= 5.78.0~),
                libkf5config-dev (>= 5.78.0~),
@@ -45,10 +46,10 @@
                libkf5widgetsaddons-dev (>= 5.78.0~),
                libkf5windowsystem-dev (>= 5.78.0~),
                libkf5xmlgui-dev (>= 5.78.0~),
-               libkomparediff2-dev (>= 4:22.12.3~),
+               libkomparediff2-dev (>= 4:23.08.0~),
                libqt5webkit5-dev (>= 5.15.0),
                libsvn-dev,
-               llvm-dev (>= 1:6.0) [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
+               llvm-dev (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !x32],
                okteta-dev (>= 5:0.26.2~),
                pkg-config,
                qtbase5-dev (>= 5.8.0~),
@@ -56,13 +57,14 @@
                qttools5-dev,
                qttools5-dev-tools,
                shared-mime-info (>= 1.9~),
+               zlib1g-dev,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop
 
-Package: kdevelop510-libs
+Package: kdevelop512-libs
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -75,7 +77,7 @@
 Package: kdevelop
 Architecture: any
 Depends: kdevelop-data (>= ${source:Version}),
-         kdevelop510-libs (= ${binary:Version}),
+         kdevelop512-libs (= ${binary:Version}),
          kinit,
          qml-module-qtquick-controls,
          qml-module-qtquick-layouts,
@@ -83,6 +85,7 @@
          qml-module-qtquick-xmllistmodel,
          qml-module-qtquick2,
          qml-module-qtwebkit,
+         ${grantlee:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: ${kdevelop:clang}, g++, gcc, gdb (>= 7.0), kapptemplate, kio-extras, make
@@ -124,7 +127,7 @@
 Package: kdevelop-dev
 Section: libdevel
 Architecture: any
-Depends: kdevelop510-libs (= ${binary:Version}),
+Depends: kdevelop512-libs (= ${binary:Version}),
          libgrantlee5-dev,
          libkf5archive-dev (>= 5.78.0~),
          libkf5config-dev (>= 5.78.0~),

## kdevelop 23.08.1

=== debian/changelog ===
kdevelop (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:58:37 +0100

=== debian/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
                libkf5widgetsaddons-dev (>= 5.78.0~),
                libkf5windowsystem-dev (>= 5.78.0~),
                libkf5xmlgui-dev (>= 5.78.0~),
-               libkomparediff2-dev (>= 4:23.08.0~),
+               libkomparediff2-dev (>= 4:23.08.1~),
                libqt5webkit5-dev (>= 5.15.0),
                libsvn-dev,
                llvm-dev (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !x32],

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 include /usr/share/dpkg/architecture.mk
 
 # from the top-level CMakeLists.txt
-export KDEV_PLUGIN_VERSION=510
+export KDEV_PLUGIN_VERSION=512
 
 # The list of architectures (expanded, without wildcards) that do not use clang
-no_clang_args = alpha hppa ia64 kfreebsd-amd64 kfreebsd-i386 m68k sh4 x32
+no_clang_args = alpha hppa ia64 m68k sh4 x32
 ifeq (,$(filter $(DEB_HOST_ARCH), $(no_clang_args)))
 # The clang-N used for the build by the unversioned clang
 current_clang_pkg = $(shell dpkg -S "$(shell realpath $(shell env PATH=$$(echo "$$PATH" | sed -r -e 's|/usr/lib/ccache/?:||') which clang))" | cut -d: -f1)

## kdevelop 23.08.4

=== debian/changelog ===
kdevelop (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)
  * Build with clang-16 to avoid FTBFS because of clang-17 being the
    default in noble

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:14:45 +0000

kdevelop (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:34:18 +0000

kdevelop (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:30:35 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: bash-completion,
-               clang (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !x32],
+               clang-16 (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !x32],
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-exec,
@@ -16,7 +16,7 @@
                kdevelop-pg-qt (>= 2.2.0),
                libastyle-dev (>= 3.1),
                libboost-serialization-dev,
-               libclang-dev (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !x32],
+               libclang-16-dev (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !x32],
                libgrantlee5-dev,
                libkf5archive-dev (>= 5.78.0~),
                libkf5config-dev (>= 5.78.0~),
@@ -46,10 +46,10 @@
                libkf5widgetsaddons-dev (>= 5.78.0~),
                libkf5windowsystem-dev (>= 5.78.0~),
                libkf5xmlgui-dev (>= 5.78.0~),
-               libkomparediff2-dev (>= 4:23.08.1~),
+               libkomparediff2-dev (>= 4:23.08.4~),
                libqt5webkit5-dev (>= 5.15.0),
                libsvn-dev,
-               llvm-dev (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !x32],
+               llvm-16-dev (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !x32],
                okteta-dev (>= 5:0.26.2~),
                pkg-config,
                qtbase5-dev (>= 5.8.0~),
